<?php
/*
*  @author  eTiendas.co  emailsupport: info@etiendas.co
*/
if (!defined('_PS_VERSION_'))
  exit;
 
class FoDefaultCurr extends Module
{
		private $_html = '';
		const __LIST_DELIM__ = ',';
	public function __construct()
	{
		$this->name = 'fodefaultcurr';
		$this->tab = 'administration';
		$this->version = '1.1';
		$this->author = 'eTiendas.co';
		$this->need_instance = 0;
		$this->ps_versions_compliancy = array('min' => '1.5', 'max' => '1.6');
		
		parent::__construct();
		
		$this->displayName = $this->l('Manage Front Office Default Currency');
		$this->description = $this->l('Define Different Default Front Office Currency (+ by shop in multishop).');
		$this->confirmUninstall = $this->l('Are you sure you want to uninstall?');
	}
	
	public function install()
	{
		if (_PS_MODE_DEMO_)
			return false;
		if (!parent::install())
			return false;
		Configuration::updateValue('FO_DEFAULT_CURRENCY', Configuration::get('PS_DEFAULT_CURRENCY'));
		return true;
	}	
	
    public function uninstall()
	{
		if (_PS_MODE_DEMO_)
			return false;
		if (!parent::uninstall()) 
			return false;
		$this->_deletesettings();
		return true;
	}
	
	public function enable($forceAll = false)
	{
		if (_PS_MODE_DEMO_)
			return false;
		if (!parent::enable()) 
			return false;
	}
	
	public function disable($forceAll = false)
	{
		if (_PS_MODE_DEMO_)
			return false;
		if (!parent::disable()) 
			return false;
	}
	
 	private function _deletesettings()
	{
		Configuration::deleteByName('FO_DEFAULT_CURRENCY');
	}
	
	public function getContent()
	{
		$this->_postProcess();
			$this->_html .='
<table width="40%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td>
		<form method="post" action="'.htmlentities($_SERVER['REQUEST_URI']).'">	
			<fieldset>
				<h3>'.$this->l('Manage Front Office Default Currency').'</h3>
				<p>'.$this->l('Current default Front Office currency for Shop ID: ').Context::getContext()->shop->id.'
				</p>
				<select name="FO_DEFAULT_CURRENCY">
					';
				foreach (Currency::getCurrenciesByIdShop(Context::getContext()->shop->id) AS $currency)
					$this->_html .= '<option value="'.$currency['id_currency'].'"'.(($currency['id_currency'] == Configuration::get('FO_DEFAULT_CURRENCY')) ? ' selected="selected"' : '').'>'.$currency['iso_code'].'</option>';
				$this->_html .= '</select>';
				$this->_html .= '<br />
					<input type="submit" class="button" name="setdefaultcurrency" value="'.$this->l('Save').'" />
			</fieldset>
		</form>
	</td>
  </tr>
</table>
		';
			return $this->_html;
	}
	
	public function _postProcess()	
	{
		if(_PS_MODE_DEMO_)
			return $this->displayError($this->l('This functionality has been disabled.'));
		if (Tools::isSubmit('setdefaultcurrency'))
		{
			Configuration::updateValue('FO_DEFAULT_CURRENCY', Tools::getValue('FO_DEFAULT_CURRENCY'));
			return	$this->_html = $this->displayConfirmation($this->l('Setting updated'));
		}
	}	
}